MediaWiki:Gadget-Tooltip.css: Difference between revisions

Raven.Familiar (talk | contribs)
No edit summary
Kuhlau (talk | contribs)
No edit summary
 
(One intermediate revision by one other user not shown)
Line 1: Line 1:
/*** For [[Template:Tt]] ***/
/*** For [[Template:Tt]] ***/
/* Force disable default hover tooltip on mobile and enable the toggle */
/* Force disable default hover tooltip on mobile and enable the toggle */
.skin-fandommobile .hover-tooltip { display: none; }
.skin-minerva .hover-tooltip { display: none; }
.skin-fandommobile .custom-tt-wrapper.srw-collapsible .mw-collapsible-toggle { display: inline !important; }
.skin-minerva .custom-tt-wrapper.hnaw-collapsible .mw-collapsible-toggle { display: inline !important; }


/** Text styling **/
/** Text styling **/
/* Override collapsible stylings */
/* Override collapsible stylings */
.custom-tt-wrapper.srw-collapsible .mw-collapsible-toggle {
.custom-tt-wrapper.hnaw-collapsible .mw-collapsible-toggle {
padding: 0;
padding: 0;
border: none;
border: none;
Line 17: Line 17:
font-weight: inherit;
font-weight: inherit;
}
}
.custom-tt-wrapper.srw-collapsible .mw-collapsible-content {
.custom-tt-wrapper.hnaw-collapsible .mw-collapsible-content {
font-weight: normal;
font-weight: normal;
}
}
Line 23: Line 23:


/*** The tooltip's toggle version ***/
/*** The tooltip's toggle version ***/
.toggle-tooltip.srw-collapsible, .text-tooltip {
.toggle-tooltip.hnaw-collapsible, .text-tooltip {
     position: relative;
     position: relative;
border-bottom-color: rgb(128, 128, 128);
border-bottom-color: rgb(128, 128, 128);
Line 32: Line 32:
/** Desktop: enabled through gadget **/
/** Desktop: enabled through gadget **/
/* Container */
/* Container */
.skin-fandomdesktop .mw-collapsible-content.custom-tt {
.skin-vector-legacy .mw-collapsible-content.custom-tt {
     position: absolute;
     position: absolute;
     z-index: 10005;
     z-index: 10005;
Line 51: Line 51:
}
}
/* Arrow */
/* Arrow */
.skin-fandomdesktop .mw-collapsible-content.custom-tt:before {
.skin-vector-legacy .mw-collapsible-content.custom-tt:before {
     content: "";
     content: "";
     position: absolute;
     position: absolute;
Line 67: Line 67:
/** Mobile: enabled by default (attr:title does not work) **/
/** Mobile: enabled by default (attr:title does not work) **/
/* Container */
/* Container */
.skin-fandommobile .custom-tt-wrapper .mw-collapsible-toggle-expanded + .mw-collapsible-content.custom-tt {
.skin-minerva .custom-tt-wrapper .mw-collapsible-toggle-expanded + .mw-collapsible-content.custom-tt {
position: fixed;
position: fixed;
z-index: 10005;
z-index: 10005;
Line 86: Line 86:
}
}
/* Container header */
/* Container header */
.skin-fandommobile .custom-tt-wrapper .mw-collapsible-toggle-expanded + .mw-collapsible-content.custom-tt:before {
.skin-minerva .custom-tt-wrapper .mw-collapsible-toggle-expanded + .mw-collapsible-content.custom-tt:before {
content: "ⓘ Tooltip content:";
content: "ⓘ Tooltip content:";
display: block;
display: block;
Line 95: Line 95:
}
}
/* Tooltip surrogate toggle on container header */
/* Tooltip surrogate toggle on container header */
.skin-fandommobile .custom-tt-wrapper .mw-collapsible-toggle-expanded:after {
.skin-minerva .custom-tt-wrapper .mw-collapsible-toggle-expanded:after {
content: "x" !important;
content: "x" !important;
position: fixed;
position: fixed;
Line 104: Line 104:
}
}
/* Tooltip surrogate toggle on backdrop overlay */
/* Tooltip surrogate toggle on backdrop overlay */
.skin-fandommobile .custom-tt-wrapper .mw-collapsible-toggle-expanded:before {
.skin-minerva .custom-tt-wrapper .mw-collapsible-toggle-expanded:before {
background: black;
background: black;
position: fixed;
position: fixed;
Line 117: Line 117:


/* For [[Template:Extra Effect]] */
/* For [[Template:Extra Effect]] */
:root .theme-fandomdesktop-dark, :root .theme-fandommobile-dark {
:root .wgl-darkmode, :root .wgl-theme-dark {
--extra-effect-bg: #0c0c0cd6;
--extra-effect-bg: #0c0c0cd6;
}
}


:root .theme-fandomdesktop-light, :root .theme-fandommobile-light {
:root .wgl-lightmode, :root .wgl-theme-light {
--extra-effect-bg: #ecececd6;
--extra-effect-bg: #ecececd6;
}
}
Line 136: Line 136:
}
}


.srw-extra-effect-wrapper.srw-collapsible.mw-collapsible {
.hnaw-extra-effect-wrapper.hnaw-collapsible.mw-collapsible {
padding: 0;
padding: 0;
border-bottom-style: solid;
border-bottom-style: solid;
Line 142: Line 142:
}
}


.mw-collapsible-content.srw-extra-effect {
.mw-collapsible-content.hnaw-extra-effect {
font-size: 16px;
font-size: 16px;
position: absolute;
position: absolute;
Line 160: Line 160:
}
}


.srw-extra-effect .srw-extra-effect-header {
.hnaw-extra-effect .hnaw-extra-effect-header {
display: block;
display: block;
font-weight: bold;
font-weight: bold;
Line 167: Line 167:
}
}


.skin-fandommobile .srw-extra-effect-wrapper .mw-collapsible-toggle-expanded + .mw-collapsible-content.srw-extra-effect {
.skin-minerva .hnaw-extra-effect-wrapper .mw-collapsible-toggle-expanded + .mw-collapsible-content.hnaw-extra-effect {
position: fixed;
position: fixed;
z-index: 10005;
z-index: 10005;